#
# spec file for package gpg2 (Version 2.0.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl cyrus-sasl-devel diffutils expect file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv keyutils-libs krb5 less libacl libassuan-devel libattr libbz2-1 libbz2-devel libcom_err2 libdb-4_5 libgcc42 libgcrypt libgcrypt-devel libgomp42 libgpg-error libgpg-error-devel libksba libksba-devel libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libusb libusb-devel libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl-certs pam pam-modules patch pcsc-lite perl perl-base permissions popt post-build-checks pth readline-devel rpm sed sysvinit tar tcl tcpd texinfo timezone util-linux zlib zlib-devel


Name:           gpg2
BuildRequires:  expect krb5 libassuan-devel libgcrypt-devel libksba-devel pcsc-lite
BuildRequires:  libusb-devel pth readline-devel zlib-devel
BuildRequires:  openldap2 openldap2-devel
Url:            http://www.gnupg.org/aegypten2/
License:        GPL v2 or later
Group:          Productivity/Networking/Security
PreReq:         %install_info_prereq
AutoReqProv:    on
Requires:       pinentry, dirmngr
Provides:       newpg gpg = 1.4.7 gnupg = %{version}
Obsoletes:      newpg gpg <= 1.4.7
Summary:        GnuPG 2
Version:        2.0.4
Release:        49.2
Source:         gnupg-%{version}-svn4472.tar.bz2
%define nld_build 0
Patch2:         nld-build.diff
Patch3:         gnupg-2.0.4-oldkey.diff
Patch5:         gnupg-1.9.22-ccid-driver-fix.diff
Patch6:         gnupg-1.9.18-tmpdir.diff
Patch7:         gnupg-2.0.4-install_tools.diff
Patch8:         gnupg-2.0.4-sig-check.diff
Patch9:         gnupg-2.0.4-default-tty.diff
Patch10:        gpg2-fix-rtsignals.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GnuPG 2 is the successor of "GnuPG" or GPG. It provides: GPGSM,
gpg-agent, and a keybox library.



Authors:
--------
    Werner Koch       <wk@gnupg.org>
    Neal H. Walfield  <neal@g10code.de>

%debug_package
%prep
%setup -q -n gnupg-%{version}-svn4472
%if %nld_build
%patch2
%endif
%patch3
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1

%build
gcc_version=`gcc -dumpversion 2>&1 | sed 's/^\([0-9]\+\)\..*/\1/'`
# opensc should be added to neededforbuild, but the support
# in gpg2 is broken atm.
autoreconf -fi
./configure \
                --prefix=%{_prefix} \
                --sysconfdir=/etc \
                --libdir=%{_libdir} \
                --infodir=%{_infodir} \
		--with-agent-pgm=%{_prefix}/bin/gpg-agent \
		--with-pinentry-pgm=%{_prefix}/bin/pinentry \
		--with-dirmngr-pgm=%{_prefix}/bin/dirmngr \
                --enable-ldap \
		--enable-external-hkp \
		--enable-shared \
		--enable-gpgsm=yes \
		--enable-gpg \
		--enable-static-rnd=linux \
                --with-gnu-ld \
                --mandir=%{_mandir} \
                --libexecdir=%{_libdir} \
                --program-prefix="" %{_target_cpu}-suse-linux \
		--with-scdaemon-pgm=%{_prefix}/bin/scdaemon
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/usr/share/info/dir
rm $RPM_BUILD_ROOT/usr/share/gnupg/FAQ
rm $RPM_BUILD_ROOT/usr/share/gnupg/faq.html
# compat symlinks
ln -sf gpg2 $RPM_BUILD_ROOT/usr/bin/gpg
ln -sf gpgv2 $RPM_BUILD_ROOT/usr/bin/gpgv
ln -sf gpg2.1 $RPM_BUILD_ROOT/usr/share/man/man1/gpg.1
ln -sf gpgv2.1 $RPM_BUILD_ROOT/usr/share/man/man1/gpgv.1

%post
%install_info --info-dir=%{_infodir} %{_infodir}/gnupg.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnupg.info.gz

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO VERSION doc/FAQ doc/faq.html
%doc %_infodir/gnupg*
%doc %{_mandir}/*/*.gz
/usr/bin/*
%{_libdir}/[^d]*
/usr/sbin/addgnupghome
/usr/sbin/applygnupgdefaults
/usr/share/locale/*/LC_MESSAGES/gnupg2.mo
/usr/share/gnupg

%changelog
* Wed Mar 18 2009 - puzel@suse.cz
- addd gpg2-fix-rtsignals.patch (bnc#481463)
* Wed Sep 12 2007 - ltinkl@suse.cz
- fix #304749 - gpg2 unable to use old secret key
* Mon Sep 10 2007 - ltinkl@suse.cz
- fix gpg2 crash on accessing key (#307666)
- fix gpg doesn't work on the console (#302323)
* Thu Jul 26 2007 - sbrabec@suse.cz
- Build with libassuan-devel.
* Thu Jun 21 2007 - ro@suse.de
- install compat symlinks for gpg2 and gpgv2
- install gpg-zip and gpgsplit
- added openldap2 to buildrequires (for gpgkeys_ldap)
- added fPIE/pie to CFLAGS/LDFLAGS for gpgsplit
* Wed May 23 2007 - dmueller@suse.de
- add libusb-devel build requires
* Wed May 16 2007 - ltinkl@suse.cz
- remove gpg from Require's (#273491)
* Fri May 11 2007 - ltinkl@suse.cz
- updated to 2.0.4 stable snapshot
* Wed Apr 04 2007 - ltinkl@suse.cz
- update to 2.0.3
- fixed #251605 - VUL-0: signing issues within GNUPG
- removed outdated patches
* Fri Mar 30 2007 - ro@suse.de
- added zlib-devel to buildreq
* Wed Feb 14 2007 - ltinkl@suse.cz
- fix file conflicts with gpg (#242133)
* Tue Jan 30 2007 - ro@suse.de
- fix build (exclude possible debuginfo directory)
* Mon Jan 29 2007 - ltinkl@suse.cz
- fix #221212 - gpg2 is not updated and do not contain documentation
- fix #233525 - gpg1/2: bug in vasprintf() implementation
* Thu Nov 30 2006 - anicka@suse.cz
- fix overflow in openfile.c (CVE-2006-6169, #224108)
* Mon Sep 11 2006 - pnemec@suse.cz
- updated gnupg to new version 1.9.22
  Enhanced pkcs#12 support
  Support for the CardMan 4040 PCMCIA
  Collected bug fixes
- updated pth library to 2.0.7
- changed using pinetry-qt to pinentry
- removed -cfb.diff -signature.patch -cap_large_uid.patch patches
  they are no longer needed
- change patch -warnings-fix.diff -ccid-driver-fix.diff
* Thu Aug 17 2006 - pnemec@suse.de
- remove unused package in build requires
* Wed Aug 09 2006 - pnemec@suse.cz
- fix spec file to build with new gettext 0.15
* Mon Aug 07 2006 - pnemec@suse.cz
- fixed security fix with large uid CVE-2006-3746 [#195569]
* Thu Feb 23 2006 - pnemec@suse.cz
- fixed signature security problem CVE-2006-0455 (bugzilla#150742)
* Thu Feb 02 2006 - pnemec@suse.cz
- fixed install info in spec file
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added missing %%install_info.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 05 2005 - postadal@suse.cz
- updated to version to 1.9.18
- removed obsoleted gcc patch
- added patch tmpdir.diff for using $TMPDIR by gpg-agent [#bug95732]
* Tue Jul 12 2005 - postadal@suse.cz
- updated to version to 1.9.17
- updated pth to version 2.0.4
- removed obsoleted patch agent-cache-fix.diff
- fixed ccid-driver.c
- fixed gcc4
- explicitly enabled gpg building in configure
* Thu Mar 24 2005 - postadal@suse.cz
- fixed caching passphrase in gpg-agent [#71975]
* Tue Mar 22 2005 - postadal@suse.cz
- fixed on 64bit archs [#72440]
* Wed Feb 23 2005 - postadal@suse.cz
- security fix for cfb-cipher issue [#65862]
* Wed Jan 12 2005 - postadal@suse.cz
- update to version 1.9.14
- removed obsoleted patch automake-fixes.diff
* Tue Sep 28 2004 - adrian@suse.de
- link against libpth staticaly to make S/MIME support in kmail
  usable. Hopefully we can convert this to a native thread implementation
  later. (#46260)
* Sat Jul 31 2004 - adrian@suse.de
- update to version 1.9.10
* Tue Jul 20 2004 - adrian@suse.de
- remove openct and opensc packages from nfb
  (we will need thread support, when enabling card reader support,
  but it isn't anyway implemented yet in gpg2)
* Mon Jul 12 2004 - adrian@suse.de
- use GnuPG 2 sources version 1.9.9
- opensc support misses some functions atm, support disabled for now
- threading is disabled, since we do not have a pth package for now
- prepare for nld
* Thu Feb 26 2004 - postadal@suse.cz
- adapted some functions to the libgcrypt version 1.1.91 [#34987]
- added libgpg-error to needforbuild flag
* Wed Feb 18 2004 - kukuk@suse.de
- Don't build against libpth.
* Tue Feb 10 2004 - postadal@suse.cz
- fixed code that broke strict aliasing
* Fri Dec 05 2003 - garloff@suse.de
- disable core dumpe in child after forking. [#33499]
* Mon Aug 11 2003 - adrian@suse.de
- cleanup #neededforbuild and requires
* Mon Aug 04 2003 - ro@suse.de
- added openct to neededforbuild
* Fri Jul 18 2003 - mc@suse.de
- build against opensc
* Thu Jun 19 2003 - schwab@suse.de
- Add %%install_info.
* Mon Mar 17 2003 - adrian@suse.de
- add signal handler to check if the parent is still alive and
  exit if not
- use pinentry-qt by default (/usr/bin/pinentry do not exist)
* Tue Feb 11 2003 - mc@suse.de
- initial release
